> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boundlesspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get A Sub Account

> Retrieve detailed information about a specific sub-account by its reference ID.



## OpenAPI

````yaml GET /sub-accounts/{reference}
openapi: 3.1.0
info:
  title: BoundlessPay API
  version: 1.0.0
servers: []
security: []
paths:
  /sub-accounts/{reference}:
    get:
      description: >-
        Retrieve detailed information about a specific sub-account by its
        reference ID.
      parameters:
        - name: reference
          in: path
          required: true
          description: Unique reference of the sub-account
          schema:
            type: string
            example: vl035tap5ocfofjb
      responses:
        '200':
          description: Sub-account details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Operation Successful
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 5
                      userId:
                        type: integer
                        example: 1
                      businessId:
                        type: string
                        example: 9689c9df-a313-4c5b-b71a-056c89b90978
                      reference:
                        type: string
                        example: n2gne6jy1lo31ynt
                      email:
                        type: string
                        format: email
                        example: example@gmail.com
                      generatedEmail:
                        type: string
                        example: sub-n2gne6jy1lo31ynt-example@gmail.com
                      quidaxSubAccountId:
                        type: string
                        example: irnwept4cx
                      active:
                        type: integer
                        example: 1
                      deletedAt:
                        type: string
                        nullable: true
                        example: null
                      createdAt:
                        type: string
                        format: date-time
                        example: '2026-03-21T20:07:33.000+01:00'
                      updatedAt:
                        type: string
                        format: date-time
                        example: '2026-03-24T20:07:33.000+01:00'
                  meta:
                    type: object
                    properties:
                      timestamp:
                        type: string
                        format: date-time
                required:
                  - success
                  - message
                  - data
        '401':
          description: Unauthorized
        '404':
          description: Sub-account not found or not accessible

````